package com.chaozhanggui.dao.system.dao;

import com.chaozhanggui.dao.system.entity.TbPlussOfficialGoods;

import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Component;

@Component
@Mapper
public interface TbPlussOfficialGoodsMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(TbPlussOfficialGoods record);

    int insertSelective(TbPlussOfficialGoods record);

    TbPlussOfficialGoods selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TbPlussOfficialGoods record);

    int updateByPrimaryKeyWithBLOBs(TbPlussOfficialGoods record);

    int updateByPrimaryKey(TbPlussOfficialGoods record);
}